WordPress.org

Make WordPress Core

Changes between Version 3 and Version 4 of Ticket #22316, comment 83


Ignore:
Timestamp:
11/03/2017 09:22:35 AM (4 years ago)
Author:
MikeSchinkel
Comment:

Legend:

Unmodified
Added
Removed
Modified
  • Ticket #22316, comment 83

    v3 v4  
    1010And let's say all plugins on the site use v1.x out of choice so it would be a very bad idea to force them both to a breaking change in v2.x just because it is a newer version.
    1111
    12 Plugins and theme choices are the domain of the end user but libraries are the domain of the developer so I think whatever would happen with libraries would need to be 100% invisible to end users and library support should cater to the needs of developers, not end-users. And forcing upgrades could potentially cause problems for both without certain benefit in many cases. 
     12Plugins and theme choices are the domain of the end user but libraries are the domain of the developer so I think whatever would happen with libraries would need to be 100% invisible to end users and library support should cater to the needs of developers, not end-users. Forcing upgrades could potentially cause problems for both without certain benefit in many cases. 
    1313
    1414Bottom line, whatever is done, if anything is done, it has to be pragmatic and have almost zero possibility of negatively impacting end users.